net.sf.statsvn

## Class Main

- java.lang.Object
- - net.sf.statsvn.Main

-     public final class Main
      extends java.lang.Object

  StatSvn Main Class; it starts the application and controls command-line related stuff
  Version:
    $Id: Main.java,v 1.47 2005/03/20 19:12:25 squig Exp $
  Author:
    Lukasz Pekacki, Richard Cyganiak

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `generate()`
    `static void` | `generateDefaultHTMLSuite()` Generates HTML report.
    `static void` | `generateDefaultHTMLSuite(RepositoryFileManager repFileMan)` Generates HTML report.
    `static void` | `init()`
    `static void` | `main(java.lang.String[] args)` Main method of StatSVN
    `static java.lang.String` | `printStackTrace(java.lang.Exception e)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)

      Main method of StatSVN
      Parameters:
        `args` - command line options

    - #### generate

          public static void generate()

    - #### init

          public static void init()

    - #### printStackTrace

          public static java.lang.String printStackTrace(java.lang.Exception e)

    - #### generateDefaultHTMLSuite

          public static void generateDefaultHTMLSuite()
                                               throws net.sf.statcvs.input.LogSyntaxException,
                                                      java.io.IOException,
                                                      net.sf.statcvs.output.ConfigurationException

      Generates HTML report. `net.sf.statsvn.output.ConfigurationOptions` must be initialized before calling this method.
      Throws:
        `net.sf.statcvs.input.LogSyntaxException` - if the logfile contains unexpected syntax
        `java.io.IOException` - if some file can't be read or written
        `net.sf.statcvs.output.ConfigurationException` - if a required ConfigurationOption was not set

    - #### generateDefaultHTMLSuite

          public static void generateDefaultHTMLSuite(RepositoryFileManager repFileMan)
                                               throws net.sf.statcvs.input.LogSyntaxException,
                                                      java.io.IOException,
                                                      net.sf.statcvs.output.ConfigurationException

      Generates HTML report. `net.sf.statsvn.output.ConfigurationOptions` must be initialized before calling this method.
      Parameters:
        `externalRepositoryFileManager` - RepositoryFileManager which is used to access the files in the repository.
      Throws:
        `net.sf.statcvs.input.LogSyntaxException` - if the logfile contains unexpected syntax
        `java.io.IOException` - if some file can't be read or written
        `net.sf.statcvs.output.ConfigurationException` - if a required ConfigurationOption was not set